My Project: dht::TrustRequest Class Reference

My Project 3.7.7 C++ Distributed Hash Table

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
dht::TrustRequest Class Reference
Inheritance diagram for dht::TrustRequest:
[legend]
Collaboration diagram for dht::TrustRequest:
[legend]

## Public Member Functions
| TrustRequest (std::string s, std::string ci={})
| TrustRequest (std::string s, std::string ci, const Blob &d)
Public Member Functions inherited from dht::EncryptedValue< TrustRequest >
virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< T >
virtual const ValueType & | getType () const
virtual Value | packValue () const

## Static Public Member Functions
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::EncryptedValue< TrustRequest >
static Value::Filter | getFilter ()
Static Public Member Functions inherited from dht::SignedValue< T >
static Value::Filter | getFilter ()

## Public Attributes
std::string | service
std::string | conversationId
Blob | payload
bool | confirm {false}
Public Attributes inherited from dht::EncryptedValue< TrustRequest >
dht::InfoHash | to
Public Attributes inherited from dht::SignedValue< T >
Sp< crypto::PublicKey > | owner
dht::InfoHash | from

## Static Public Attributes
static const ValueType | TYPE

## Additional Inherited Members
Public Types inherited from dht::EncryptedValue< TrustRequest >
using | BaseClass

## Detailed Description

Definition at line 142 of file default_types.h.

## Constructor & Destructor Documentation

## ◆ TrustRequest() [1/3]

dht::TrustRequest::TrustRequest | ( |  | ) |
| inline

Definition at line 150 of file default_types.h.

## ◆ TrustRequest() [2/3]

dht::TrustRequest::TrustRequest | ( | std::string | s,
|  | std::string | ci = {} )
| inline

Definition at line 151 of file default_types.h.

## ◆ TrustRequest() [3/3]

dht::TrustRequest::TrustRequest | ( | std::string | s,
|  | std::string | ci,
|  | const Blob & | d )
| inline

Definition at line 155 of file default_types.h.

## Member Function Documentation

## ◆ getFilter()

Value::Filter dht::TrustRequest::getFilter | ( |  | ) |
| inlinestatic

Definition at line 161 of file default_types.h.

## Member Data Documentation

## ◆ confirm

bool dht::TrustRequest::confirm {false}

Definition at line 166 of file default_types.h.

## ◆ conversationId

std::string dht::TrustRequest::conversationId

Definition at line 164 of file default_types.h.

## ◆ payload

Blob dht::TrustRequest::payload

Definition at line 165 of file default_types.h.

## ◆ service

std::string dht::TrustRequest::service

Definition at line 163 of file default_types.h.

## ◆ TYPE

const ValueType dht::TrustRequest::TYPE
| static

Definition at line 148 of file default_types.h.

The documentation for this class was generated from the following file:

- /home/noptrix/ba/blackarch/packages/opendht-c/src/opendht/include/opendht/default_types.h